DCMTK: DRTEnhancedRTBeamLimitingDeviceSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTEnhancedRTBeamLimitingDeviceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTEnhancedRTBeamLimitingDeviceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamModifierOrientationAngle (Float64 &value, const unsigned long pos=0) const
| get BeamModifierOrientationAngle (300a,0645)
OFCondition | getDeviceAlternateIdentifier (OFString &value, const signed long pos=0) const
| get DeviceAlternateIdentifier (3010,001b)
OFCondition | getDeviceAlternateIdentifierFormat (OFString &value, const signed long pos=0) const
| get DeviceAlternateIdentifierFormat (3010,001d)
OFCondition | getDeviceAlternateIdentifierType (OFString &value, const signed long pos=0) const
| get DeviceAlternateIdentifierType (3010,001c)
OFCondition | getDeviceIndex (Uint16 &value, const unsigned long pos=0) const
| get DeviceIndex (3010,0039)
OFCondition | getDeviceLabel (OFString &value, const signed long pos=0) const
| get DeviceLabel (3010,002d)
OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000)
OFCondition | getLongDeviceDescription (OFString &value, const signed long pos=0) const
| get LongDeviceDescription (0050,0021)
OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070)
OFCondition | getManufacturerDeviceIdentifier (OFString &value, const signed long pos=0) const
| get ManufacturerDeviceIdentifier (3010,0043)
OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090)
OFCondition | getManufacturerModelVersion (OFString &value, const signed long pos=0) const
| get ManufacturerModelVersion (3010,001a)
OFCondition | getRTAccessoryDeviceSlotID (OFString &value, const signed long pos=0) const
| get RTAccessoryDeviceSlotID (300a,0615)
OFCondition | getRTAccessoryHolderSlotID (OFString &value, const signed long pos=0) const
| get RTAccessoryHolderSlotID (300a,0611)
OFCondition | getRTAccessorySlotDistance (Float64 &value, const unsigned long pos=0) const
| get RTAccessorySlotDistance (300a,0613)
OFCondition | getRTBeamLimitingDeviceDistalDistance (Float64 &value, const unsigned long pos=0) const
| get RTBeamLimitingDeviceDistalDistance (300a,0643)
OFCondition | getRTBeamLimitingDeviceProximalDistance (Float64 &value, const unsigned long pos=0) const
| get RTBeamLimitingDeviceProximalDistance (300a,0642)
OFCondition | getReferencedDefinedDeviceIndex (Uint16 &value, const unsigned long pos=0) const
| get ReferencedDefinedDeviceIndex (300a,0602)
OFCondition | getReferencedRTAccessoryHolderDeviceIndex (Uint16 &value, const unsigned long pos=0) const
| get ReferencedRTAccessoryHolderDeviceIndex (300a,060e)
OFCondition | getSoftwareVersions (OFString &value, const signed long pos=0) const
| get SoftwareVersions (0018,1020)
DRTDeviceTypeCodeSequence & | getDeviceTypeCodeSequence ()
| get DeviceTypeCodeSequence (3010,002e)
const DRTDeviceTypeCodeSequence & | getDeviceTypeCodeSequence () const
| get DeviceTypeCodeSequence (3010,002e)
DRTFixedRTBeamDelimiterDeviceSequence & | getFixedRTBeamDelimiterDeviceSequence ()
| get FixedRTBeamDelimiterDeviceSequence (300a,0646)
const DRTFixedRTBeamDelimiterDeviceSequence & | getFixedRTBeamDelimiterDeviceSequence () const
| get FixedRTBeamDelimiterDeviceSequence (300a,0646)
DRTParallelRTBeamDelimiterDeviceSequence & | getParallelRTBeamDelimiterDeviceSequence ()
| get ParallelRTBeamDelimiterDeviceSequence (300a,0647)
const DRTParallelRTBeamDelimiterDeviceSequence & | getParallelRTBeamDelimiterDeviceSequence () const
| get ParallelRTBeamDelimiterDeviceSequence (300a,0647)
DRTUDISequence & | getUDISequence ()
| get UDISequence (0018,100a)
const DRTUDISequence & | getUDISequence () const
| get UDISequence (0018,100a)
OFCondition | setBeamModifierOrientationAngle (const Float64 value, const unsigned long pos=0)
| set BeamModifierOrientationAngle (300a,0645)
OFCondition | setDeviceAlternateIdentifier (const OFString &value, const OFBool check=OFTrue)
| set DeviceAlternateIdentifier (3010,001b)
OFCondition | setDeviceAlternateIdentifierFormat (const OFString &value, const OFBool check=OFTrue)
| set DeviceAlternateIdentifierFormat (3010,001d)
OFCondition | setDeviceAlternateIdentifierType (const OFString &value, const OFBool check=OFTrue)
| set DeviceAlternateIdentifierType (3010,001c)
OFCondition | setDeviceIndex (const Uint16 value, const unsigned long pos=0)
| set DeviceIndex (3010,0039)
OFCondition | setDeviceLabel (const OFString &value, const OFBool check=OFTrue)
| set DeviceLabel (3010,002d)
OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000)
OFCondition | setLongDeviceDescription (const OFString &value, const OFBool check=OFTrue)
| set LongDeviceDescription (0050,0021)
OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070)
OFCondition | setManufacturerDeviceIdentifier (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerDeviceIdentifier (3010,0043)
OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090)
OFCondition | setManufacturerModelVersion (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelVersion (3010,001a)
OFCondition | setRTAccessoryDeviceSlotID (const OFString &value, const OFBool check=OFTrue)
| set RTAccessoryDeviceSlotID (300a,0615)
OFCondition | setRTAccessoryHolderSlotID (const OFString &value, const OFBool check=OFTrue)
| set RTAccessoryHolderSlotID (300a,0611)
OFCondition | setRTAccessorySlotDistance (const Float64 value, const unsigned long pos=0)
| set RTAccessorySlotDistance (300a,0613)
OFCondition | setRTBeamLimitingDeviceDistalDistance (const Float64 value, const unsigned long pos=0)
| set RTBeamLimitingDeviceDistalDistance (300a,0643)
OFCondition | setRTBeamLimitingDeviceProximalDistance (const Float64 value, const unsigned long pos=0)
| set RTBeamLimitingDeviceProximalDistance (300a,0642)
OFCondition | setReferencedDefinedDeviceIndex (const Uint16 value, const unsigned long pos=0)
| set ReferencedDefinedDeviceIndex (300a,0602)
OFCondition | setReferencedRTAccessoryHolderDeviceIndex (const Uint16 value, const unsigned long pos=0)
| set ReferencedRTAccessoryHolderDeviceIndex (300a,060e)
OFCondition | setSoftwareVersions (const OFString &value, const OFBool check=OFTrue)
| set SoftwareVersions (0018,1020)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointDouble | BeamModifierOrientationAngle
| BeamModifierOrientationAngle (300a,0645) vr=FD, vm=1, type=1.
DcmUnlimitedCharacters | DeviceAlternateIdentifier
| DeviceAlternateIdentifier (3010,001b) vr=UC, vm=1, type=2.
DcmLongText | DeviceAlternateIdentifierFormat
| DeviceAlternateIdentifierFormat (3010,001d) vr=LT, vm=1, type=1C.
DcmCodeString | DeviceAlternateIdentifierType
| DeviceAlternateIdentifierType (3010,001c) vr=CS, vm=1, type=1C.
DcmUnsignedShort | DeviceIndex
| DeviceIndex (3010,0039) vr=US, vm=1, type=1.
DcmLongString | DeviceLabel
| DeviceLabel (3010,002d) vr=LO, vm=1, type=1.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=2.
DRTDeviceTypeCodeSequence | DeviceTypeCodeSequence
| DeviceTypeCodeSequence (3010,002e) vr=SQ, vm=1, type=1.
DRTFixedRTBeamDelimiterDeviceSequence | FixedRTBeamDelimiterDeviceSequence
| FixedRTBeamDelimiterDeviceSequence (300a,0646) vr=SQ, vm=1, type=1C.
DcmShortText | LongDeviceDescription
| LongDeviceDescription (0050,0021) vr=ST, vm=1, type=3.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=2.
DcmShortText | ManufacturerDeviceIdentifier
| ManufacturerDeviceIdentifier (3010,0043) vr=ST, vm=1, type=2.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=2.
DcmLongString | ManufacturerModelVersion
| ManufacturerModelVersion (3010,001a) vr=LO, vm=1, type=2.
DRTParallelRTBeamDelimiterDeviceSequence | ParallelRTBeamDelimiterDeviceSequence
| ParallelRTBeamDelimiterDeviceSequence (300a,0647) vr=SQ, vm=1, type=1C.
DcmLongString | RTAccessoryDeviceSlotID
| RTAccessoryDeviceSlotID (300a,0615) vr=LO, vm=1, type=2C.
DcmLongString | RTAccessoryHolderSlotID
| RTAccessoryHolderSlotID (300a,0611) vr=LO, vm=1, type=2C.
DcmFloatingPointDouble | RTAccessorySlotDistance
| RTAccessorySlotDistance (300a,0613) vr=FD, vm=1, type=2C.
DcmFloatingPointDouble | RTBeamLimitingDeviceDistalDistance
| RTBeamLimitingDeviceDistalDistance (300a,0643) vr=FD, vm=1, type=2.
DcmFloatingPointDouble | RTBeamLimitingDeviceProximalDistance
| RTBeamLimitingDeviceProximalDistance (300a,0642) vr=FD, vm=1, type=2.
DcmUnsignedShort | ReferencedDefinedDeviceIndex
| ReferencedDefinedDeviceIndex (300a,0602) vr=US, vm=1, type=1C.
DcmUnsignedShort | ReferencedRTAccessoryHolderDeviceIndex
| ReferencedRTAccessoryHolderDeviceIndex (300a,060e) vr=US, vm=1, type=2C.
DcmLongString | SoftwareVersions
| SoftwareVersions (0018,1020) vr=LO, vm=1-n, type=2.
DRTUDISequence | UDISequence
| UDISequence (0018,100a) vr=SQ, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTEnhancedRTBeamLimitingDeviceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTEnhancedRTBeamLimitingDeviceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getBeamModifierOrientationAngle()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getBeamModifierOrientationAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamModifierOrientationAngle (300a,0645)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceAlternateIdentifier()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceAlternateIdentifier | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceAlternateIdentifier (3010,001b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceAlternateIdentifierFormat()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceAlternateIdentifierFormat | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceAlternateIdentifierFormat (3010,001d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceAlternateIdentifierType()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceAlternateIdentifierType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceAlternateIdentifierType (3010,001c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get DeviceIndex (3010,0039)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceLabel()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceLabel (3010,002d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceSerialNumber()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceTypeCodeSequence() [1/2]

DRTDeviceTypeCodeSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceTypeCodeSequence | ( |  | ) |
| inline

get DeviceTypeCodeSequence (3010,002e)

Returns
  reference to sequence element

References DeviceTypeCodeSequence.

## ◆ getDeviceTypeCodeSequence() [2/2]

const DRTDeviceTypeCodeSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getDeviceTypeCodeSequence | ( |  | ) | const
| inline

get DeviceTypeCodeSequence (3010,002e)

Returns
  const reference to sequence element

References DeviceTypeCodeSequence.

## ◆ getFixedRTBeamDelimiterDeviceSequence() [1/2]

DRTFixedRTBeamDelimiterDeviceSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getFixedRTBeamDelimiterDeviceSequence | ( |  | ) |
| inline

get FixedRTBeamDelimiterDeviceSequence (300a,0646)

Returns
  reference to sequence element

References FixedRTBeamDelimiterDeviceSequence.

## ◆ getFixedRTBeamDelimiterDeviceSequence() [2/2]

const DRTFixedRTBeamDelimiterDeviceSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getFixedRTBeamDelimiterDeviceSequence | ( |  | ) | const
| inline

get FixedRTBeamDelimiterDeviceSequence (300a,0646)

Returns
  const reference to sequence element

References FixedRTBeamDelimiterDeviceSequence.

## ◆ getLongDeviceDescription()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getLongDeviceDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get LongDeviceDescription (0050,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturer()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerDeviceIdentifier()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getManufacturerDeviceIdentifier | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ManufacturerDeviceIdentifier (3010,0043)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelName()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelVersion()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getManufacturerModelVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ManufacturerModelVersion (3010,001a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getParallelRTBeamDelimiterDeviceSequence() [1/2]

DRTParallelRTBeamDelimiterDeviceSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getParallelRTBeamDelimiterDeviceSequence | ( |  | ) |
| inline

get ParallelRTBeamDelimiterDeviceSequence (300a,0647)

Returns
  reference to sequence element

References ParallelRTBeamDelimiterDeviceSequence.

## ◆ getParallelRTBeamDelimiterDeviceSequence() [2/2]

const DRTParallelRTBeamDelimiterDeviceSequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getParallelRTBeamDelimiterDeviceSequence | ( |  | ) | const
| inline

get ParallelRTBeamDelimiterDeviceSequence (300a,0647)

Returns
  const reference to sequence element

References ParallelRTBeamDelimiterDeviceSequence.

## ◆ getReferencedDefinedDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getReferencedDefinedDeviceIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedDefinedDeviceIndex (300a,0602)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedRTAccessoryHolderDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getReferencedRTAccessoryHolderDeviceIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedRTAccessoryHolderDeviceIndex (300a,060e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTAccessoryDeviceSlotID()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getRTAccessoryDeviceSlotID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RTAccessoryDeviceSlotID (300a,0615)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTAccessoryHolderSlotID()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getRTAccessoryHolderSlotID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RTAccessoryHolderSlotID (300a,0611)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTAccessorySlotDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getRTAccessorySlotDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RTAccessorySlotDistance (300a,0613)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTBeamLimitingDeviceDistalDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getRTBeamLimitingDeviceDistalDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RTBeamLimitingDeviceDistalDistance (300a,0643)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRTBeamLimitingDeviceProximalDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getRTBeamLimitingDeviceProximalDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get RTBeamLimitingDeviceProximalDistance (300a,0642)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSoftwareVersions()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::getSoftwareVersions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SoftwareVersions (0018,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getUDISequence() [1/2]

DRTUDISequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getUDISequence | ( |  | ) |
| inline

get UDISequence (0018,100a)

Returns
  reference to sequence element

References UDISequence.

## ◆ getUDISequence() [2/2]

const DRTUDISequence & DRTEnhancedRTBeamLimitingDeviceSequence::Item::getUDISequence | ( |  | ) | const
| inline

get UDISequence (0018,100a)

Returns
  const reference to sequence element

References UDISequence.

## ◆ isEmpty()

OFBool DRTEnhancedRTBeamLimitingDeviceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTEnhancedRTBeamLimitingDeviceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTEnhancedRTBeamLimitingDeviceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamModifierOrientationAngle()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setBeamModifierOrientationAngle | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set BeamModifierOrientationAngle (300a,0645)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceAlternateIdentifier()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceAlternateIdentifier | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceAlternateIdentifier (3010,001b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceAlternateIdentifierFormat()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceAlternateIdentifierFormat | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceAlternateIdentifierFormat (3010,001d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceAlternateIdentifierType()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceAlternateIdentifierType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceAlternateIdentifierType (3010,001c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceIndex | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set DeviceIndex (3010,0039)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceLabel()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceLabel (3010,002d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceSerialNumber()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLongDeviceDescription()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setLongDeviceDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set LongDeviceDescription (0050,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturer()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerDeviceIdentifier()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setManufacturerDeviceIdentifier | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ManufacturerDeviceIdentifier (3010,0043)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelName()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelVersion()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setManufacturerModelVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ManufacturerModelVersion (3010,001a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDefinedDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setReferencedDefinedDeviceIndex | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set ReferencedDefinedDeviceIndex (300a,0602)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedRTAccessoryHolderDeviceIndex()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setReferencedRTAccessoryHolderDeviceIndex | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set ReferencedRTAccessoryHolderDeviceIndex (300a,060e)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTAccessoryDeviceSlotID()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setRTAccessoryDeviceSlotID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RTAccessoryDeviceSlotID (300a,0615)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTAccessoryHolderSlotID()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setRTAccessoryHolderSlotID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RTAccessoryHolderSlotID (300a,0611)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTAccessorySlotDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setRTAccessorySlotDistance | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RTAccessorySlotDistance (300a,0613)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTBeamLimitingDeviceDistalDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setRTBeamLimitingDeviceDistalDistance | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RTBeamLimitingDeviceDistalDistance (300a,0643)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRTBeamLimitingDeviceProximalDistance()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setRTBeamLimitingDeviceProximalDistance | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

set RTBeamLimitingDeviceProximalDistance (300a,0642)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSoftwareVersions()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::setSoftwareVersions | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SoftwareVersions (0018,1020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTEnhancedRTBeamLimitingDeviceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drteblds.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1